Change log for fsl package in Ubuntu

127 of 27 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-01-16
Deleted in disco-proposed (Reason: moved to release)
fsl (5.0.8-6) unstable; urgency=medium

  * Team upload.

  [ Yaroslav Halchenko ]
  * Add 'file' to Depends of fsl-5.0-core. Required by fslFixText utility
  * debian/fsl.sh - place FSL's bin path first (not the last) within adjusted
    $PATH (Closes: #804881)
  * debian/patches/up_in_compar to fix FTBFS of melodic on 17.04
    Closes: #837361

  [ Michael Hanke ]
  * Move 'fslview' from a dependency into suggests. It can no longer be
    built in Debian unstable.
    Closes: #864178

  [ Andreas Tille ]
  * Replace watch line pointing to alioth which does not exist any more
    by fake watch file
  * debhelper 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Fix call of overloaded 'round(float)' is ambiguous
  * Silence lintian about false positive spelling
  * fsl-5.0-core Depends: sensible-utils
  * Drop Encoding key from desktop file
  * Drop Debian menu file (since there is a desktop file)
  * hardening=+all

 -- Andreas Tille <email address hidden>  Tue, 15 Jan 2019 16:42:15 +0100
Deleted in yakkety-release on 2016-07-09 (Reason: Depends on broken fslview, removed from Debian testing)
Deleted in yakkety-proposed on 2016-07-09 (Reason: moved to release)
fsl (5.0.8-5build2) yakkety; urgency=medium

  * Rebuild against liboctave3v5.

 -- Gianfranco Costamagna <email address hidden>  Thu, 19 May 2016 16:26:08 +0200

Available diffs

Superseded in yakkety-release on 2016-05-20
Deleted in yakkety-proposed on 2016-05-21 (Reason: moved to release)
fsl (5.0.8-5build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Sat, 23 Apr 2016 00:06:17 +0000
Superseded in yakkety-release on 2016-04-24
Published in xenial-release on 2015-10-27
Deleted in xenial-proposed (Reason: moved to release)
fsl (5.0.8-5) unstable; urgency=medium

  * Disable unecessary unportable debugging code that breaks on kfreebsd.

 -- Michael Hanke <email address hidden>  Fri, 21 Aug 2015 11:43:25 +0200

Available diffs

Superseded in xenial-release on 2015-10-27
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
fsl (5.0.8-4) unstable; urgency=medium

  * Remove versioned dependencies on transitional packages libgd2-(no)xpm-dev
    in favor of a dependency on libgd-dev (Closes: #792291). Thanks to
    Mattia Rizzolo for the report.
  * Add patch to force FSL to use its own modified version of the BWidget
    TCL package. This prevents incompatibility issues if a system-wide
    BWidget installation is found (Closes: #792758). The "fix" forces a
    version requirement on BWidget 1.8 (matches embedded version,
    Debian has 1.9.x as of now). This is not ideal, but a minimally intrusive
    change that achieves the desired behavior. Thanks to Vincent Kersten
    for the report.
  * Move upstream meta data to debian/upstream/metadata.
  * Drop embeded excanvas javascript library in favor of a dependency on
    libjs-excanvas.

 -- Michael Hanke <email address hidden>  Mon, 17 Aug 2015 11:30:18 +0100

Available diffs

Superseded in wily-release on 2015-08-18
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
fsl (5.0.7-4) unstable; urgency=medium


  * Fix FTBFS on kfreebsd: Disable 'stack_dump' component that is "highly
    non-portable" and can be replaced, if necessary, with plain gdb.
  * Fix another bashism in the *monitor script generated by bedpostx.

 -- Michael Hanke <email address hidden>  Wed, 23 Jul 2014 08:01:53 +0200

Available diffs

Superseded in utopic-release on 2014-07-24
Deleted in utopic-proposed on 2014-07-25 (Reason: moved to release)
fsl (5.0.7-3) unstable; urgency=medium


  * Improve FSL's build configuration to not treat any non-Linux platform
    as a Mac (Closes: #755356).

 -- Michael Hanke <email address hidden>  Sun, 20 Jul 2014 11:36:26 +0200

Available diffs

Superseded in utopic-release on 2014-07-20
Deleted in utopic-proposed on 2014-07-22 (Reason: moved to release)
fsl (5.0.7-2) unstable; urgency=low


  * Add a patch to make randomise_parallel work on systems that do not have
    bash as their default shell (Closes: #693373). Thanks to Philip Chase for
    the patch.
  * Add a patch to honor an unset FSLPARALLEL (do not submit jobs to a
    cluster) even in cases where SGE_ROOT is set (Closes: #685757). Thanks to
    German Gomez-Herrero for the patch.
  * Sanitize PATH and LD_LIBRARY_PATH when sourcing the configuration file.
    Old/duplicate FSL path entries are now removed (Closes: #695257). Thanks
    to Vincent Kersten for the patch.

 -- Michael Hanke <email address hidden>  Thu, 17 Jul 2014 15:44:44 +0200

Available diffs

Superseded in utopic-release on 2014-07-18
Deleted in utopic-proposed on 2014-07-19 (Reason: moved to release)
fsl (5.0.7-1) unstable; urgency=medium


  * New upstream release.
    - new component: gps
  * Remove the documentation from the source package due to a number of files
    with unclear origin and license. Consequently, the -doc has been removed
    as well. Upstream confirms that documentation is best consumed from the
    live wiki on the project homepage.
  * Move the -gpu package setup into a patch that can be applied to backports
    to particular releases. The current Debian unstable doesn't have a
    functional nvcc and it is i386 and amd64 only anyway.
  * Cleanup and remove old and merged patches.
  * Bumped Standard version to 3.9.5 -- no changes necessary.

 -- Michael Hanke <email address hidden>  Fri, 11 Jul 2014 17:22:13 +0200

Available diffs

Superseded in utopic-release on 2014-07-17
Published in trusty-release on 2014-04-11
Deleted in trusty-proposed (Reason: moved to release)
fsl (4.1.9-7.2) unstable; urgency=low


  * Non-maintainer upload.
  * Really replaced tcl8.4 and tk8.4 by tcl and tk in the package dependencies
    (Closes: #737187).

 -- Sergei Golovan <email address hidden>  Sat, 15 Mar 2014 21:03:23 +0400
Superseded in trusty-release on 2014-04-11
Deleted in trusty-proposed on 2014-04-12 (Reason: moved to release)
fsl (4.1.9-7.1ubuntu1) trusty; urgency=medium

  * Actually apply the tcl/tk changes that the Debian NMU was meant to.
 -- Adam Conrad <email address hidden>   Thu, 20 Feb 2014 21:54:36 -0700
Superseded in trusty-proposed on 2014-02-21
fsl (4.1.9-7.1) unstable; urgency=low


  * Non-maintainer upload.
  * Replaced tcl8.4 and tk8.4 by tcl and tk in the package dependencies
    (Closes: #737187).

 -- Sergei Golovan <email address hidden>  Fri, 31 Jan 2014 22:19:04 +0400
Superseded in trusty-release on 2014-02-21
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
fsl (4.1.9-7) unstable; urgency=low


  * Stop regenerating tclIndex during postinst. This is no longer necessary
    since libfslio and its TCL scripts are built from the FSL source package
    -- which is since 4.1.1 or four years (Closes: #689166).

 -- Michael Hanke <email address hidden>  Thu, 06 Sep 2012 09:10:33 +0200
Superseded in saucy-release on 2013-06-02
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
fsl (4.1.9-4ubuntu1) quantal; urgency=low

  * Fix FTBFS (LP: #996620)
  * debian/control: build-depends on liboctave-dev and depend on octave
  * debian/rules: remove octave-depends (we have only 1 octave version now)
 -- Jean-Louis Dupond <email address hidden>   Tue, 08 May 2012 18:23:24 +0200
Superseded in quantal-release on 2012-05-08
fsl (4.1.9-4) unstable; urgency=low


  * Actually do the changes listed for 4.1.9-3. They needed to be implemented
    in the template files.

 -- Michael Hanke <email address hidden>  Sat, 17 Mar 2012 10:23:23 +0100
Superseded in quantal-release on 2012-05-08
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
fsl (4.1.8-1ubuntu1) oneiric; urgency=low

  * Make fslview a recommendation instead of a dependency. LP: #843314.
    Can be reverted once fslview builds again.
 -- Matthias Klose <email address hidden>   Thu, 22 Sep 2011 10:27:09 +0200

Available diffs

Superseded in oneiric-release on 2011-09-22
fsl (4.1.8-1) unstable; urgency=low

  * New upstream bugfix release.
  * Install README.Debian into the versioned FSL package.
  * Bumped Standard version to 3.9.2 -- no changes necessary.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  19 May 2011 11:29:22 +0000

Available diffs

Superseded in oneiric-release on 2011-05-19
fsl (4.1.7-1) unstable; urgency=low

  * New upstream bugfix release. Improved TFCE handling in fslmaths. Better
    error detection in randomise. MELODIC now has an option to use a
    user-defined seed. There are a number of minor fixes to FEAT. fslmerge
    now attempts to detect orientation problems during a temporal merge.

Available diffs

Superseded in oneiric-release on 2011-05-10
Obsolete in natty-release on 2013-06-04
fsl (4.1.6-4) unstable; urgency=low

  * Remove /usr/bin symlinks from 'fsl' package and remove now obsolete
    package conflicts (Closes: #592242 again). Instead, the 'fsl-4.1' package
    now installs properly prefixed ('fsl4.1-') symlinks into /usr/bin that do
    not conflict with existing files in any package and, moreover, allow tools
    from multiple FSL versions to coexist on the same system. Any internal FSL
    scripts are unaffected by this change. Adjust manpage and README.Debian to
    document this change, as well as added a NEWS entry.
  * Bumped Standard version to 3.9.1.0 -- no changes necessary.
  * Removed menu integration of 'Nudge' tool to prevent overcrowding of menu
    categories. It is of limited functionality and rarely used.

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
fsl (4.1.6-1) unstable; urgency=low

  * New upstream release. Merged various patches with upstream.
    Closes: #581095.

Available diffs

Superseded in maverick-release on 2010-07-07
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
fsl (4.1.4-2ubuntu1) karmic; urgency=low

  * src/miscvis/wpng.c: Define _GNU_SOURCE to fix an ANSI C warning from
    the use of fdopen and fileno.  LP: #402174

 -- Michael Terry <email address hidden>   Thu, 10 Sep 2009 11:48:53 -0400

Available diffs

Superseded in karmic-release on 2009-09-18
fsl (4.1.4-2) unstable; urgency=low

  * Include a number of upstream patches that went into 4.1.4 after the
    4.1.4-1 package got uploaded.
  * Revert from -O3 to -O2 for compiler optimizations. -O3 seems to cause
    trouble for some pieces (miscmaths, avwutils) on some architectures.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  05 Jun 2009 10:32:47 +0100

Available diffs

Superseded in karmic-release on 2009-06-05
fsl (4.1.4-1) unstable; urgency=low

  * New upstream release.
  * Fixed bashisms (Closes: #530084).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  01 Jun 2009 12:05:16 +0100

Available diffs

Superseded in karmic-release on 2009-06-01
fsl (4.1.3-1) unstable; urgency=low

  * New Upstream Version.
  * Reverse the order of the octave*-headers build-dependency alternatives
    to account for the removal of octave2.1-headers from unstable
    (Closes: #523826).
  * Do not build-depend on FSLView anymore. That setup was way to complex and
    error-prone.
  * Bumped Standard version to 3.8.1 -- no changes necessary.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  18 May 2009 10:39:22 +0100

Available diffs

Superseded in karmic-release on 2009-05-18
fsl (4.1.2-2) unstable; urgency=low

  * Use internals libs compiled by the fslview package, instead of building
    them again from fsl sources.
  * Added 'XS-DM-Upload-Allowed: yes' in debian/control.
  * Install fslio im* scripts.

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
fsl (4.1.1-1) unstable; urgency=low

  * New Upstream Version fixing a number of bugs in FEAT, FDT and FNIRT.
  * Updated repackaging. Repackaging procedure was changed to keep fslio in
    the package. This version contains more up-to-date scripts than the ones
    in the nifticlibs package.
  * Install im* and tcl scripts from local fslio sources, instead of using the
    (discontinued) ones in the nifticlibs package. Therefore also removing
    dependency to 'nifti-bin'.
  * Do not install installer script -- useless on Debian (Closes: #489596).
  * Remove broken get-orig-source target from debian/rules. The repackaging
    procedure is implemented in the 'repackage-fsl' script shipped with the
    fslview package.

Available diffs

Superseded in jaunty-release on 2008-11-10
Obsolete in intrepid-release on 2013-02-20
fsl (4.0.4-1) unstable; urgency=low

  * New bugfix release.
  * Install missing IRTK configuration, which are not covered by the IRTK
    liccense.

127 of 27 results